namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 招聘参数配置(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrh)]
public class Ghrh_ConfigController : BaseController<IGhrh_ConfigServices, Ghrh_Config, Ghrh_ConfigDto, InsertGhrh_ConfigInput, EditGhrh_ConfigInput>
{
    public Ghrh_ConfigController(IGhrh_ConfigServices service) : base(service)
    {
    }

    /// <summary>
    ///  批量更新数据
    /// </summary>
    /// <param name="entitys"></param>
    [HttpPost, Route("BulkUpdateValue")]
    public virtual async Task<ServiceResult> BulkUpdateValue([FromBody] List<Ghrh_ConfigDto> entitys)
    {
        return await _service.BulkUpdateValue(entitys);
    }
}